That's a legitimate concern. However, if you're on an LTS release, maybe stability is of greater concern, and you won't be rushing to install new hardware...